Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Class FontTriplet

    java.lang.Object
      org.apache.fop.fonts.FontTriplet

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public class FontTriplet
extends java.lang.Object
implements java.lang.Comparable, java.io.Serializable

FontTriplet contains information on name, style and weight of one font

See Also:
  Serialized Form

Nested Class Summary
`static interface` | `FontTriplet.Matcher` Matcher interface for `FontTriplet`.

Constructor Summary
`FontTriplet(java.lang.String name)` Creates a new font triplet (for base14 use).
`FontTriplet(java.lang.String name, java.lang.String style, int weight)` Creates a new font triplet.
`FontTriplet(java.lang.String name, java.lang.String style, int weight, int priority)` Creates a new font triplet.

Method Summary
`int` | `compareTo(java.lang.Object o)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getName()`
`int` | `getPriority()`
`java.lang.String` | `getStyle()`
`int` | `getWeight()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FontTriplet

    public FontTriplet(java.lang.String name)

  Creates a new font triplet (for base14 use).

Parameters:
  `name` - font name

### FontTriplet

    public FontTriplet(java.lang.String name,
                       java.lang.String style,
                       int weight)

  Creates a new font triplet.

Parameters:
  `name` - font name
  `style` - font style (normal, italic etc.)
  `weight` - font weight (100, 200, 300...800, 900)

### FontTriplet

    public FontTriplet(java.lang.String name,
                       java.lang.String style,
                       int weight,
                       int priority)

  Creates a new font triplet.

Parameters:
  `name` - font name
  `style` - font style (normal, italic etc.)
  `weight` - font weight (100, 200, 300...800, 900)
  `priority` - priority of this triplet/font mapping

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    the font name

### getStyle

    public java.lang.String getStyle()

  Returns:
    the font style

### getWeight

    public int getWeight()

  Returns:
    the font weight

### getPriority

    public int getPriority()

  Returns:
    the priority of this triplet/font mapping

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object obj)

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.